Bug 1228102 - DMRTest failing on big endian arches
Summary: DMRTest failing on big endian arches
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libdap
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1241593 (view as bug list)
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2015-06-04 08:36 UTC by Dan Horák
Modified: 2016-01-21 19:13 UTC (History)
4 users (show)

Fixed In Version: libdap-3.16.0-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-21 19:13:15 UTC


Attachments (Terms of Use)
test log file (1.35 MB, text/plain)
2015-06-04 09:22 UTC, Dan Horák
no flags Details

Description Dan Horák 2015-06-04 08:36:26 UTC
The DMRTest is failing on big endian arches.

from build.log
...
make  check-TESTS
make[3]: Entering directory '/builddir/build/BUILD/libdap-3.14.0/tests'
make[4]: Entering directory '/builddir/build/BUILD/libdap-3.14.0/tests'
PASS: DASTest
PASS: DDSTest
PASS: EXPRTest
FAIL: DMRTest
============================================================================
Testsuite summary for libdap 3.14.0
============================================================================
...

more details will follow


Version-Release number of selected component (if applicable):
libdap-3.14.0-3.fc23

Comment 1 Dan Horák 2015-06-04 08:44:07 UTC
failed build on ppc64
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2520606

Comment 2 Dan Horák 2015-06-04 09:22:28 UTC
Created attachment 1034620 [details]
test log file

Comment 3 Orion Poplawski 2015-07-13 20:48:11 UTC
*** Bug 1241593 has been marked as a duplicate of this bug. ***

Comment 4 Orion Poplawski 2015-07-13 20:48:35 UTC
Upstream is looking into it.

Comment 5 Jan Kurik 2015-07-15 14:03:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 6 Dan Horák 2015-07-22 11:27:46 UTC
Orion, is it safe to use libdap 3.13.3 instead of the 3.14 until there is an upstream solution for this problem? By safe I mean are they API/ABI compatible?

Comment 7 Orion Poplawski 2015-07-22 15:11:37 UTC
I suspect it's API compatible (nothing needed to be modified to compile with 3.14), but it looks like there are ABI breaks, despite not bumping the soname version.

Comment 8 Dan Horák 2015-07-27 09:06:38 UTC
ok, then we will wait instead of building against the older 3.13 version

Comment 9 Dan Horák 2015-11-27 12:47:37 UTC
seems to be fixed in 3.16.0 - http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2938873

Comment 10 Dan Horák 2015-12-01 14:58:30 UTC
(In reply to Dan Horák from comment #9)
> seems to be fixed in 3.16.0 -
> http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2938873

but it depends on a non-generic define, so it fails on s390/s390x. I've reported the issue to upstream.


Note You need to log in before you can comment on or make changes to this bug.